Appearance
OpenAPI Spec
List Customers
GET
/v1/customers
List Customers
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Query Parameters
page
Type
number
Minimum
0Default
0size
Type
number
Minimum
1Maximum
20Default
10id
number
companyName
externalId
createdAt
updatedAt
Responses
List response
application/json
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"number": "string",
"companyName": "string",
"externalId": "string",
"title": "string",
"salutation": "string",
"firstName": "string",
"surname": "string",
"telephones": [
{
"label": "string",
"isDefault": true,
"telephoneNumber": "string"
}
],
"emails": [
{
"label": "main",
"isDefault": true,
"emailAddress": "string"
}
],
"urls": [
{
"label": "homepage",
"url": "string"
}
],
"billingAddress": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"latitude": 0,
"longitude": 0,
"externalId": "string"
},
"createdAt": "string",
"updatedAt": "string"
}
]
}
Create a new Customer
POST
/v1/customers
Create a new Customer
Authorizations
apiKey
Type
HTTP (bearer)
Request Body
application/json
{
"number": "string",
"companyName": "string",
"externalId": "string",
"title": "string",
"salutation": "string",
"firstName": "string",
"surname": "string",
"telephones": [
{
"label": "string",
"isDefault": true,
"telephoneNumber": "string"
}
],
"emails": [
{
"label": "main",
"isDefault": true,
"emailAddress": "string"
}
],
"urls": [
{
"label": "homepage",
"url": "string"
}
],
"billingAddress": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"externalId": "string"
}
}
Responses
Customer found
application/json
{
"id": 0,
"number": "string",
"companyName": "string",
"externalId": "string",
"title": "string",
"salutation": "string",
"firstName": "string",
"surname": "string",
"telephones": [
{
"label": "string",
"isDefault": true,
"telephoneNumber": "string"
}
],
"emails": [
{
"label": "main",
"isDefault": true,
"emailAddress": "string"
}
],
"urls": [
{
"label": "homepage",
"url": "string"
}
],
"billingAddress": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"latitude": 0,
"longitude": 0,
"externalId": "string"
},
"createdAt": "string",
"updatedAt": "string"
}
Get a Customer
GET
/v1/customers/{customerId}
Get a Customer by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
customerId*
Type
Requiredinteger
Format
"int32"Responses
Customer found
application/json
{
"id": 0,
"number": "string",
"companyName": "string",
"externalId": "string",
"title": "string",
"salutation": "string",
"firstName": "string",
"surname": "string",
"telephones": [
{
"label": "string",
"isDefault": true,
"telephoneNumber": "string"
}
],
"emails": [
{
"label": "main",
"isDefault": true,
"emailAddress": "string"
}
],
"urls": [
{
"label": "homepage",
"url": "string"
}
],
"billingAddress": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"latitude": 0,
"longitude": 0,
"externalId": "string"
},
"createdAt": "string",
"updatedAt": "string"
}
Delete a Customer
Update a Customer
PATCH
/v1/customers/{customerId}
Update a Customer by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
customerId*
Type
Requiredinteger
Format
"int32"Request Body
application/json
{
"number": "string",
"companyName": "string",
"externalId": "string",
"title": "string",
"salutation": "string",
"firstName": "string",
"surname": "string",
"telephones": [
{
"label": "string",
"isDefault": true,
"telephoneNumber": "string"
}
],
"emails": [
{
"label": "main",
"isDefault": true,
"emailAddress": "string"
}
],
"urls": [
{
"label": "homepage",
"url": "string"
}
],
"billingAddress": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"externalId": "string"
}
}
Responses
Customer found
application/json
{
"id": 0,
"number": "string",
"companyName": "string",
"externalId": "string",
"title": "string",
"salutation": "string",
"firstName": "string",
"surname": "string",
"telephones": [
{
"label": "string",
"isDefault": true,
"telephoneNumber": "string"
}
],
"emails": [
{
"label": "main",
"isDefault": true,
"emailAddress": "string"
}
],
"urls": [
{
"label": "homepage",
"url": "string"
}
],
"billingAddress": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"latitude": 0,
"longitude": 0,
"externalId": "string"
},
"createdAt": "string",
"updatedAt": "string"
}